zinflate.h File Reference

DEFLATE compression and decompression (RFC 1951) More...

Go to the source code of this file.

## Classes

class | LowFirstBitReader
class | HuffmanDecoder
| Huffman Decoder. More...
class | HuffmanDecoder::Err
class | Inflator
| DEFLATE decompressor (RFC 1951) More...
class | Inflator::Err
class | Inflator::UnexpectedEndErr
| Exception thrown when a truncated stream is encountered. More...
class | Inflator::BadBlockErr
| Exception thrown when a bad block is encountered. More...
class | Inflator::BadDistanceErr
| Exception thrown when an invalid distance is encountered. More...

## Detailed Description

DEFLATE compression and decompression (RFC 1951)

Definition in file zinflate.h.